Bug 8261 - Bad talloc magic value - double free
Bad talloc magic value - double free
Status: RESOLVED WONTFIX
Product: Samba 3.5
Classification: Unclassified
Component: File services
3.5.8
x64 Linux
: P5 normal
: ---
Assigned To: Volker Lendecke
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-24 11:21 UTC by D Hughes
Modified: 2011-06-29 12:08 UTC (History)
0 users

See Also:


Attachments
samba log file (3.10 KB, application/octet-stream)
2011-06-24 11:21 UTC, D Hughes
no flags Details
requested log file (39.42 KB, application/octet-stream)
2011-06-28 20:21 UTC, D Hughes
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description D Hughes 2011-06-24 11:21:17 UTC
Created attachment 6618 [details]
samba log file

Ever since the last updates to Samba I have been getting the following errors:

[2011/06/20 08:59:06.709729,  1] smbd/service.c:1251(close_cnum)
  vdvg-t4 (10.168.4.34) closed connection to service Fileshare
[2011/06/20 08:59:06.709886,  0] lib/bitmap.c:120(bitmap_clear)
  clearing invalid bitmap entry 40032 (of 128)
[2011/06/20 08:59:06.710149,  0] lib/popt_common.c:64(popt_s3_talloc_log_fn)
  talloc: double free error - first free may be at smbd/conn.c:293

This happens several times a week on maybe a third of my connections.

The server is OpenSuSE linux 11.4 64 bit, the client machines are a combination of Windows server 2008 64 bit, and Windows 7 64 bit machines.  I have not seen the error on the Windows XP 32 bit machine connections.

The log file is attached.
Comment 1 Volker Lendecke 2011-06-28 08:09:55 UTC
Can you upload a debug level 10 log of smbd doing that? Please see http://wiki.samba.org/index.php/Client_specific_Log for information how to do client specific log files.
Comment 2 Volker Lendecke 2011-06-28 08:10:30 UTC
Also, if possible, please install the debuginfo packages. And, if possible, can you try running smbd under valgrind?
Comment 3 D Hughes 2011-06-28 20:21:09 UTC
Created attachment 6642 [details]
requested log file
Comment 4 D Hughes 2011-06-28 20:21:53 UTC
I have not used valgrind before, and will need specific instructions.
Comment 5 Volker Lendecke 2011-06-28 20:54:57 UTC
You're using "max protocol = smb2", right? If you need to use that, please wait for Samba 3.6. SMB2 is not supported in Samba 3.5 yet. Please re-open if you can reproduce that with Samba 3.6.

Volker
Comment 6 D Hughes 2011-06-29 12:08:35 UTC
Yes, I am using smb2 in an attempt to resolve authentication errors form my Windows 7 machines.  I will remove it since it did not seem to help anyway.

However, if it is not supported, then it seems that a double free error is not the appropriate message.